<lit-dependency component="/src/lit-form/lit-form.js"></lit-dependency>
<lit-dependency component="/src/lit-button/lit-button.js"></lit-dependency>

<lit-dependency component="/src/lit-text-field/lit-text-field.js"></lit-dependency>
<lit-dependency component="/src/lit-email-field/lit-email-field.js"></lit-dependency>
<lit-dependency component="/src/lit-select-field/lit-select-field.js"></lit-dependency>

<lit-section>
	<h1>Lit Forms</h1>

	<lit-form mime-type="application/json" target-url="/login/api">
		<lit-text-field required label="Text Field"></lit-text-field>
		<lit-text-field label="Text Field"></lit-text-field>

		<lit-email-field required label="Email Field"></lit-email-field>
		<lit-select-field required label="Select Field">
			<option>No selection</option>
			<option value="1">Selection 1</option>
			<option value="2">Selection 2</option>
		</lit-select-field>
		<lit-button @click="() => this.emit('submit')">Submit</lit-button>
	</lit-form>
</lit-section>